2021-01-17 23:37 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004714Spring engineGeneralpublic2015-03-25 01:29
Reporterabma 
Assigned Toabma 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version98.0.1+git 
Target Version99.0Fixed in Version 
Summary0004714: crash when starting kernel panic 4.6 mission 6: "Challenge 6 - Navigating through N X f"
Descriptioni get this crash when i try to start this mission:

[f=0000000] Loading Skirmish AIs
*** Error in `./spring': free(): invalid pointer: 0x000000000cd45b80 ***
[f=0000000] [CrashHandler] Error: Aborted (SIGABRT) in spring 98.0.1-428-gb47c43b develop (Debug)
[f=0000000] [CrashHandler] Error: Halted Stacktrace for Spring 98.0.1-428-gb47c43b develop (Debug) using libunwind:
[f=0000000] [CrashHandler] Error: [00] /home/abma/dev/spring/develop/rts/System/Platform/Linux/CrashHandler.cpp:833 CrashHandler::HaltedStacktrace(std::string const&, siginfo_t*, ucontext*)
[f=0000000] [CrashHandler] Error: [01] /home/abma/dev/spring/develop/rts/System/Platform/Linux/CrashHandler.cpp:939 CrashHandler::HandleSignal(int, siginfo_t*, void*)
[f=0000000] [CrashHandler] Error: [02] /lib/x86_64-linux-gnu/libpthread.so.0(+0xfc90) [0x7f77e7d5dc90] __restore_rt
[f=0000000] [CrashHandler] Error: [03] /build/buildd/glibc-2.19/signal/../nptl/sysdeps/unix/sysv/linux/raise.c:56 __GI_raise
[f=0000000] [CrashHandler] Error: [04] /build/buildd/glibc-2.19/stdlib/abort.c:91 __GI_abort
[f=0000000] [CrashHandler] Error: [05] /build/buildd/glibc-2.19/libio/../sysdeps/posix/libc_fatal.c:175 __fsetlocking
[f=0000000] [CrashHandler] Error: <06> /build/buildd/glibc-2.19/malloc/malloc.c:4996 malloc_printerr
[f=0000000] [CrashHandler] Error: [06] /build/buildd/glibc-2.19/malloc/malloc.c:3840 _int_free
[f=0000000] [CrashHandler] Error: [07] .../rts/lib/lua/include/LuaUser.cpp:187 spring_lua_alloc(void*, void*, unsigned long, unsigned long)
[f=0000000] [CrashHandler] Error: [08] .../rts/lib/lua/src/lmem.cpp:81 luaM_realloc_(lua_State*, void*, unsigned long, unsigned long)
[f=0000000] [CrashHandler] Error: [09] .../rts/lib/lua/src/ltable.cpp:378 (discriminator 1) luaH_free(lua_State*, Table*)
[f=0000000] [CrashHandler] Error: [10] .../rts/lib/lua/src/lgc.cpp:383 freeobj
[f=0000000] [CrashHandler] Error: [11] .../rts/lib/lua/src/lgc.cpp:411 sweeplist
[f=0000000] [CrashHandler] Error: [12] .../rts/lib/lua/src/lgc.cpp:488 luaC_freeall(lua_State*)
[f=0000000] [CrashHandler] Error: [13] .../rts/lib/lua/src/lstate.cpp:111 close_state
[f=0000000] [CrashHandler] Error: [14] .../rts/lib/lua/src/lstate.cpp:222 lua_close(lua_State*)
[f=0000000] [CrashHandler] Error: [15] /home/abma/dev/spring/develop/rts/lib/lua/include/LuaInclude.h:233 LUA_CLOSE
[f=0000000] [CrashHandler] Error: [16] /home/abma/dev/spring/develop/rts/Lua/LuaHandle.cpp:127 CLuaHandle::KillLua()
[f=0000000] [CrashHandler] Error: [17] /home/abma/dev/spring/develop/rts/Lua/LuaIntro.cpp:43 (discriminator 4) CLuaIntro::FreeHandler()
[f=0000000] [CrashHandler] Error: [18] /home/abma/dev/spring/develop/rts/Game/LoadScreen.cpp:160 CLoadScreen::~CLoadScreen()
[f=0000000] [CrashHandler] Error: [19] /home/abma/dev/spring/develop/rts/Game/LoadScreen.cpp:183 CLoadScreen::~CLoadScreen()
[f=0000000] [CrashHandler] Error: [20] /home/abma/dev/spring/develop/rts/Game/LoadScreen.cpp:206 CLoadScreen::DeleteInstance()
[f=0000000] [CrashHandler] Error: [21] /home/abma/dev/spring/develop/rts/Game/LoadScreen.cpp:198 CLoadScreen::CreateInstance(std::string const&, std::string const&, ILoadSaveHandler*)
[f=0000000] [CrashHandler] Error: [22] /home/abma/dev/spring/develop/rts/Game/PreGame.cpp:338 (discriminator 3) CPreGame::UpdateClientNet()
[f=0000000] [CrashHandler] Error: [23] /home/abma/dev/spring/develop/rts/Game/PreGame.cpp:174 CPreGame::Update()
[f=0000000] [CrashHandler] Error: [24] /home/abma/dev/spring/develop/rts/System/SpringApp.cpp:918 SpringApp::Update()
[f=0000000] [CrashHandler] Error: [25] /home/abma/dev/spring/develop/rts/System/SpringApp.cpp:954 SpringApp::Run()
[f=0000000] [CrashHandler] Error: [26] .../rts/System/Main.cpp:48 Run(int, char**)
[f=0000000] [CrashHandler] Error: [27] .../rts/System/Main.cpp:108 main
[f=0000000] [CrashHandler] Error: [28] /build/buildd/glibc-2.19/csu/libc-start.c:321 __libc_start_main
[f=0000000] [CrashHandler] Error: [29] ./spring() [0x5d64b9] _start
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • txt file icon infolog.txt (76,250 bytes) 2015-03-23 17:49 -
    Warning: [CpuId] ht/smt/cmt detection for AMD is not implemented! Using processor number reported by OS.
    [ParseCmdLine] command-line args: "./spring"
    Using configuration source: "/var/tmp/home/dev/spring/develop/springsettings.cfg"
    Using additional configuration source: "/home/abma/.config/spring/springsettings.cfg"
    ============== <User Config> ==============
    BumpWaterBlurReflection = 1
    BumpWaterDepthBits = 16
    BumpWaterShoreWaves = 0
    BumpWaterTexSizeReflection = 128
    CamMode = 1
    CamTimeExponent = 4.0
    CamTimeFactor = 1.0
    DebugGL = 1
    DebugGLStacktraces = true
    DualScreenMiniMapOnLeft = 1
    FPSFOV = 90
    FSAALevel = 2
    ForceShaders = 1
    Fullscreen = 0
    GroundDecals = 3
    GroundDetail = 100
    GroundScarAlphaFade = 1
    HangTimeout = 0
    HardwareCursor = 1
    InitialNetworkTimeout = 0
    InputTextGeo = 0.26 0.73 0.02 0.028
    LODScale = 1.000
    LODScaleReflection = 1.000
    LODScaleRefraction = 1.000
    LODScaleShadow = 1.000
    LastSelectedMap = Tropical
    LastSelectedMod = Kernel Panic 4.6
    LastSelectedScript = Player Only: Testing Sandbox
    LastSelectedSetting = ForceShaders
    MaxParticles = 20000
    MaxSounds = 32
    MaximumTransmissionUnit = 0
    MiddleClickScrollSpeed = -0.005
    MouseDragScrollThreshold = 0
    ReconnectTimeout = 0
    ReflectiveWater = 4
    ScreenshotCounter = 5
    ScrollWheelSpeed = -25
    ShowClock = 0
    ShowFPS = 1
    ShowPlayerInfo = 0
    SmoothLines = 1
    TreeRadius = 1000
    UnitIconDist = 140
    UnitLodDist = 9999
    UsePBO = 0
    WindowBorderless = 1
    WindowPosX = 0
    WindowPosY = 0
    WindowedEdgeMove = 0
    XResolution = 1920
    YResolution = 1080
    snd_volmaster = 34
    snd_volmusic = 34
    ============== </User Config> ==============
    Available log sections: KeyBindings, AutohostInterface, GameServer, Net, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, Model, Piece, ModelDrawer, OBJParser, WorldObjectModelRenderer, Shader, Texture, Font, CregSerializer, ArchiveScanner, VFS, CrashHandler, Sound, LuaSocket, GroundMoveType, Path, UnitScript
    Enabled log sections: 
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 98.0.1-428-gb47c43b develop (Debug)
    Build Date & Time: Mar 23 2015 17:15:25
    Build Environment: boost-105500, GNU libstdc++ version 20141011
    Compiler Version:  gcc-4.9.1
    Operating System:  Linux 3.16.0-31-generic #43-Ubuntu SMP Tue Mar 10 17:37:36 UTC 2015 x86_64
    Word Size:         64-bit (native mode)
             CPU Clock: std::chrono::high_resolution_clock
    Physical CPU Cores: 4
     Logical CPU Cores: 4
    [CMyMath::Init] CPU SSE mask: 888, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  0
    	SSE 4.1:  0,  SSE 4.2:  0
    	SSE 4.0A: 1,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes on Display 1 x:0 y:0 1680x1050:
    	640x480, 720x400, 800x600, 832x624, 1024x768, 1152x864, 1280x960, 1280x1024, 1440x900, 1600x1200, 1680x1050
    SDL version:  linked 2.0.2; compiled 2.0.2
    GL version:   3.0 Mesa 10.3.2
    GL vendor:    X.Org
    GL renderer:  Gallium 0.4 on AMD JUNIPER
    GLSL version: 1.30
    GLEW version: 1.10.0
    Video RAM:    unknown
    SwapInterval: 1
    Installing OpenGL-DebugMessageHandler
    FBO::maxSamples: 8
    GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 0
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 1
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 16384, maximum vec4 varying/attributes: 32/16
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 3000/3000
    	number of UniformBufferBindings: 36 (64kB)
    VSync disabled
    [InitOpenGL] video mode set to 1680x1050:24bit @59Hz (windowed)
    [WatchDog::Install] disabled
    Registering thread controls for thread [main]
    [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [ThreadPool::SetThreadCount][2] #threads=3
    [DataDirs] Portable Mode!
    Using read-write data directory: /var/tmp/home/dev/spring/develop/
    Using read-only data directory: /home/abma/.config/spring/
    Using read-only data directory: /home/abma/.spring/
    Using read-only data directory: /home/abma/local/spring/develop/share/games/spring/
    Scanning: /home/abma/local/spring/develop/share/games/spring/base
    Scanning: /home/abma/.spring/maps
    Scanning: /home/abma/.spring/games
    Scanning: /home/abma/.spring/packages
    Scanning: /var/tmp/home/dev/spring/develop/base
    Error: Found a "rustydelta_final.sd7" already in "/home/abma/.spring/maps/", ignoring one in "/home/abma/.spring/maps/"
    Error: Found a "salmonstream.sd7" already in "/home/abma/.spring/maps/", ignoring one in "/home/abma/.spring/maps/"
    Error: Found a "valles_marineris_v2.sd7" already in "/home/abma/.spring/maps/", ignoring one in "/home/abma/.spring/maps/"
    Error: Found a "comet_catcher_redux.sd7" already in "/home/abma/.spring/maps/", ignoring one in "/home/abma/.spring/maps/"
    Error: Found a "eye_of_horus_v2.sd7" already in "/home/abma/.spring/maps/", ignoring one in "/home/abma/.spring/maps/"
    Error: Found a "bitmaps.sdz" already in "/var/tmp/home/dev/spring/develop/base/spring/", ignoring one in "/home/abma/local/spring/develop/share/games/spring/base/spring/"
    Error: Found a "springcontent.sdz" already in "/var/tmp/home/dev/spring/develop/base/", ignoring one in "/home/abma/local/spring/develop/share/games/spring/base/"
    Error: Found a "cursors.sdz" already in "/var/tmp/home/dev/spring/develop/base/", ignoring one in "/home/abma/local/spring/develop/share/games/spring/base/"
    Error: Found a "maphelper.sdz" already in "/var/tmp/home/dev/spring/develop/base/", ignoring one in "/home/abma/local/spring/develop/share/games/spring/base/"
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               ALSA Default
    [f=0000000] [Sound]               HDA ATI SB, ALC892 Analog (CARD=SB,DEV=0)
    [f=0000000] [Sound]               HDA ATI SB, ALC892 Digital (CARD=SB,DEV=1)
    [f=0000000] [Sound]               HDA ATI HDMI, HDMI 0 (CARD=HDMI,DEV=3)
    [f=0000000] [Sound]               Generic USB Audio Device, USB Audio (CARD=Device,DEV=0)
    [f=0000000] [Sound]   Device:     OpenAL Soft
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.15.1
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFTX_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_source_latency
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFT_loopback
    [f=0000000] [Sound]   Max Sounds: 32
    [f=0000000] Registering thread controls for thread [audio]
    [f=0000000] Joysticks found: 0
    [f=0000000] [ThreadPool::SetThreadCount][1] #wanted=3 #current=4 #max=4
    [f=0000000] [ThreadPool::SetThreadCount][2] #threads=2
    [f=0000000] [Threading] Main thread CPU affinity mask set: 12
    [f=0000000] [ArchiveScanner] 5cbedd6403a6845bf5a030d8836a26ae.sdp checksum: 1524119795/1524119795
    [f=0000000] [ArchiveScanner] Tropical.sd7 checksum: 505237772/505237772
    [f=0000000] [InitOpenGL] video mode set to 1615x1026:24bit @59Hz (windowed)
    [f=0000000] Hosting on: localhost:8452
    [f=0000000] Connecting to local server
    [f=0000000] Error: Duplicate AI Interface Info found:
    [f=0000000] Error: 	for interface: C 0.1
    [f=0000000] Error: 	in files:
    [f=0000000] Error: 	/home/abma/local/spring/develop/share/games/spring/AI/Interfaces/C/0.1/InterfaceInfo.lua
    [f=0000000] Error: 	/var/tmp/home/dev/spring/develop/AI/Interfaces/C/data/InterfaceInfo.lua
    [f=0000000] Error: 	using: /var/tmp/home/dev/spring/develop/AI/Interfaces/C/data/InterfaceInfo.lua
    [f=0000000] Error: Duplicate AI Interface Info found:
    [f=0000000] Error: 	for interface: Java 0.1
    [f=0000000] Error: 	in files:
    [f=0000000] Error: 	/home/abma/local/spring/develop/share/games/spring/AI/Interfaces/Java/0.1/InterfaceInfo.lua
    [f=0000000] Error: 	/var/tmp/home/dev/spring/develop/AI/Interfaces/Java/data/InterfaceInfo.lua
    [f=0000000] Error: 	using: /var/tmp/home/dev/spring/develop/AI/Interfaces/Java/data/InterfaceInfo.lua
    [f=0000000] Warning: AI Interface property 'supportsLookup' could not be found.
    [f=0000000] [AddGameSetupArchivesToVFS] using map: TinySkirmish
    [f=0000000] [ArchiveScanner] GetArchives: TinySkirmish (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: 5cbedd6403a6845bf5a030d8836a26ae.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/5cbedd6403a6845bf5a030d8836a26ae.sdp checksum: 1524119795/1524119795
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 1027432337/1027432337
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 369695027/369695027
    [f=0000000] [ArchiveScanner] archive checksum 5cbedd6403a6845bf5a030d8836a26ae.sdp: 1911324241/1911324241
    [f=0000000] [ArchiveScanner] GetArchives: TinySkirmish.sd7 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/TinySkirmish.sd7 checksum: 1852051443/1852051443
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 349204423/349204423
    [f=0000000] [ArchiveScanner] archive checksum TinySkirmish.sd7: 2058641460/2058641460
    [f=0000000] Warning: Opening socket on loopback address. Other users will not be able to connect!
    [f=0000000] Binding UDP socket to IP (v4) 127.0.0.1 port 8452
    [f=0000000] [UDPListener] successfully bound socket on port 8452
    [f=0000000] PreGame::StartServer: 63 ms
    [f=0000000] [AddGameSetupArchivesToVFS] using map: TinySkirmish
    [f=0000000] [ArchiveScanner] GetArchives: TinySkirmish (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Kernel Panic 4.6 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [AddGameSetupArchivesToVFS] using game: Kernel Panic 4.6 (archive: 5cbedd6403a6845bf5a030d8836a26ae.sdp)
    [f=0000000] [ArchiveScanner] GetArchives: TinySkirmish (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/TinySkirmish.sd7 checksum: 1852051443/1852051443
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 349204423/349204423
    [f=0000000] [ArchiveScanner] archive checksum TinySkirmish: 2058641460/2058641460
    [f=0000000] [ArchiveScanner] GetArchives: 5cbedd6403a6845bf5a030d8836a26ae.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/5cbedd6403a6845bf5a030d8836a26ae.sdp checksum: 1524119795/1524119795
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 1027432337/1027432337
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 369695027/369695027
    [f=0000000] [ArchiveScanner] archive checksum 5cbedd6403a6845bf5a030d8836a26ae.sdp: 1911324241/1911324241
    [f=0000000] Recording demo to: /var/tmp/home/dev/spring/develop/demos/20150323_174032_TinySkirmish_98.0.1-428-gb47c43b develop.sdf
    [f=0000000] PreGame::GameDataReceived: 34 ms
    [f=0000000] [PreGame::UpdateClientNet] user number 0 (team 0, allyteam 0)
    [f=0000000] [ArchiveScanner] GetArchives: TinySkirmish (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/TinySkirmish.sd7 checksum: 1852051443/1852051443
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 349204423/349204423
    [f=0000000] [ArchiveScanner] archive checksum TinySkirmish: 2058641460/2058641460
    [f=0000000] [ArchiveScanner] GetArchives: 5cbedd6403a6845bf5a030d8836a26ae.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/5cbedd6403a6845bf5a030d8836a26ae.sdp checksum: 1524119795/1524119795
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 1027432337/1027432337
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 369695027/369695027
    [f=0000000] [ArchiveScanner] archive checksum 5cbedd6403a6845bf5a030d8836a26ae.sdp: 1911324241/1911324241
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "Circuit Growth"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      Circuit Growth         <circuitgrowth.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] LoadingScreen: single-threaded
    [f=0000000] Registering thread controls for thread [load]
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (6 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Loading all definitions:  0.070000
    [f=0000000] Game::LoadDefs (GameData): 287 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound]  parsed 6 sounds from gamedata/sounds.lua
    [f=0000000] Game::LoadDefs (Sound): 215 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 285 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 13
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] Loading Weapon Definitions
    [f=0000000] Warning: WeaponDef (homebaseshieldbad) The "isShield" tag has been removed. Use the weaponType="Shield" tag instead!
    [f=0000000] Warning: WeaponDef (homebaseshieldgood) The "isShield" tag has been removed. Use the weaponType="Shield" tag instead!
    [f=0000000] Warning: WeaponDef (minifacshieldbad) The "isShield" tag has been removed. Use the weaponType="Shield" tag instead!
    [f=0000000] Warning: WeaponDef (minifacshieldgood) The "isShield" tag has been removed. Use the weaponType="Shield" tag instead!
    [f=0000000] Loading Unit Definitions
    [f=0000000] Loading Feature Definitions
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] Error: OpenGL: source<API> type<other> id<1> severity<medium>:
    FBO incomplete: no attachments [-1]
    
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 1 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: SMFShaderGLSL-Standard, unset uniform: texSquare
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: SMFShaderGLSL-Deferred, unset uniform: texSquare
    [f=0000000] Creating TreeDrawer
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: camPos
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: frame
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: windSpeed
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: sunDir
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: ambientLightColor
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: diffuseLightColor
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: specularLightColor
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: camDir
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassDistAdvShaderGLSL, unset uniform: camPos
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassDistAdvShaderGLSL, unset uniform: camUp
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassDistAdvShaderGLSL, unset uniform: camRight
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassDistAdvShaderGLSL, unset uniform: frame
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassDistAdvShaderGLSL, unset uniform: windSpeed
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassDistAdvShaderGLSL, unset uniform: ambientLightColor
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassDistAdvShaderGLSL, unset uniform: diffuseLightColor
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassShadGenShaderGLSL, unset uniform: shadowMatrix
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassShadGenShaderGLSL, unset uniform: shadowParams
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassShadGenShaderGLSL, unset uniform: frame
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassShadGenShaderGLSL, unset uniform: windSpeed
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 140 ms
    [f=0000000] Game::LoadInterface (Console): 0 ms
    [f=0000000] Loading LuaRules
    [f=0000000] [ArchiveScanner] GetArchives: TinySkirmish (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/TinySkirmish.sd7 checksum: 1852051443/1852051443
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 349204423/349204423
    [f=0000000] [ArchiveScanner] archive checksum TinySkirmish: 2058641460/2058641460
    [f=0000000] [ArchiveScanner] GetArchives: 5cbedd6403a6845bf5a030d8836a26ae.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/5cbedd6403a6845bf5a030d8836a26ae.sdp checksum: 1524119795/1524119795
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 1027432337/1027432337
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 369695027/369695027
    [f=0000000] [ArchiveScanner] archive checksum 5cbedd6403a6845bf5a030d8836a26ae.sdp: 1911324241/1911324241
    [f=0000000] Loaded SYNCED gadget:  Color Wars!         <colorwars.lua>
    [f=0000000] Loaded SYNCED gadget:  Force LUA UI        <luaui_force.lua>
    [f=0000000] Loaded SYNCED gadget:  Game Over           <game_over.lua>
    [f=0000000] Loaded SYNCED gadget:  Hand autobuild      <hand_autobuild.lua>
    [f=0000000] Loaded SYNCED gadget:  Has Taken The Lead  <taken_the_lead.lua>
    [f=0000000] Loaded SYNCED gadget:  Kernel Panic K.O.T.H.  <koth.lua>
    [f=0000000] Loaded SYNCED gadget:  Kernel Panic S.O.S.  <sos.lua>
    [f=0000000] Loaded SYNCED gadget:  Pre-placed Minifacs  <preplaced.lua>
    [f=0000000] Loaded SYNCED gadget:  Spawn               <game_spawn.lua>
    [f=0000000] Loaded SYNCED gadget:  Spawn Units         <spawn_units.lua>
    [f=0000000] Loaded SYNCED gadget:  Start Point Remover Gadget  <init_start_point_remover_gadget.lua>
    [f=0000000] Loaded SYNCED gadget:  kpunittypes.lua     <kpunittypes.lua>
    [f=0000000] Loaded SYNCED gadget:  new_cmd_id.lua      <new_cmd_id.lua>
    [f=0000000] Loaded SYNCED gadget:  Touhou Build        <touhou_build.lua>
    [f=0000000] Metal: [76.5-0]
    [f=0000000] Loaded SYNCED gadget:  Metal To Geo converter  <metaltogeo.lua>
    [f=0000000] Loaded SYNCED gadget:  set Alpha Threshold  <set_alpha_threshold.lua>
    [f=0000000] Loaded SYNCED gadget:  Pseudo Orders       <pseudo_orders.lua>
    [f=0000000] Loaded SYNCED gadget:  Burrow              <burrow.lua>
    [f=0000000] Loaded SYNCED gadget:  UnitAutoHold        <autohold.lua>
    [f=0000000] Loaded SYNCED gadget:  Airstrike           <airstrike.lua>
    [f=0000000] Loaded SYNCED gadget:  Area Denial         <areadenial.lua>
    [f=0000000] Loaded SYNCED gadget:  Bombard             <bug_bombard.lua>
    [f=0000000] Loaded SYNCED gadget:  Infection           <infection.lua>
    [f=0000000] Loaded SYNCED gadget:  Kernel boost        <kernelboost.lua>
    [f=0000000] Loaded SYNCED gadget:  LuaCOB              <luacob.lua>
    [f=0000000] Loaded SYNCED gadget:  Network Arc Effect  <network_arceffect.lua>
    [f=0000000] Loaded SYNCED gadget:  Network Buffer      <network_buffer.lua>
    [f=0000000] Loaded SYNCED gadget:  Network Build       <network_build.lua>
    [f=0000000] Loaded SYNCED gadget:  Special Attack      <specialattack.lua>
    [f=0000000] Loaded SYNCED gadget:  Launcher            <launcher.lua>
    [f=0000000] Loaded SYNCED gadget:  Network Dispatch    <network_dispatch.lua>
    [f=0000000] Loaded SYNCED gadget:  Network Enter       <network_enter.lua>
    [f=0000000] Loaded SYNCED gadget:  Flow Speed          <network_flowspeed.lua>
    [f=0000000] Loaded SYNCED gadget:  Network Reflectorshield  <network_reflectorshield.lua>
    [f=0000000] Loaded SYNCED gadget:  Armor Bonus         <armor_bonus.lua>
    [f=0000000] Loaded SYNCED gadget:  Kernel Panic O.N.S.  <ons.lua>
    [f=0000000] Loaded SYNCED gadget:  Invasion AI         <kpai_invasion.lua>
    [f=0000000] Loaded SYNCED gadget:  Kernel Panic AI     <kpai.lua>
    [f=0000000] Loaded SYNCED gadget:  Fair KPAI           <kpai_fair.lua>
    [f=0000000] Loaded SYNCED gadget:  Regenerative AI     <regenai.lua>
    [f=0000000] Loaded SYNCED gadget:  Evilless            <evilless.lua>
    [f=0000000] Loaded SYNCED gadget:  Shoot'n'Run         <shoot_n_run.lua>
    [f=0000000] Loaded SYNCED gadget:  Lua hotfixes        <hotfixes.lua>
    [f=0000000] [ArchiveScanner] GetArchives: TinySkirmish (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/TinySkirmish.sd7 checksum: 1852051443/1852051443
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 349204423/349204423
    [f=0000000] [ArchiveScanner] archive checksum TinySkirmish: 2058641460/2058641460
    [f=0000000] [ArchiveScanner] GetArchives: 5cbedd6403a6845bf5a030d8836a26ae.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/5cbedd6403a6845bf5a030d8836a26ae.sdp checksum: 1524119795/1524119795
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 1027432337/1027432337
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 369695027/369695027
    [f=0000000] [ArchiveScanner] archive checksum 5cbedd6403a6845bf5a030d8836a26ae.sdp: 1911324241/1911324241
    [f=0000000] Loaded UNSYNCED gadget:  Color Wars!         <colorwars.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Force LUA UI        <luaui_force.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Game Over           <game_over.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Hand autobuild      <hand_autobuild.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Has Taken The Lead  <taken_the_lead.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Kernel Panic K.O.T.H.  <koth.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Kernel Panic S.O.S.  <sos.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Pre-placed Minifacs  <preplaced.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Spawn Units         <spawn_units.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Start Point Remover Gadget  <init_start_point_remover_gadget.lua>
    [f=0000000] Loaded UNSYNCED gadget:  kpunittypes.lua     <kpunittypes.lua>
    [f=0000000] Loaded UNSYNCED gadget:  new_cmd_id.lua      <new_cmd_id.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Touhou Build        <touhou_build.lua>
    [f=0000000] Loaded UNSYNCED gadget:  set Alpha Threshold  <set_alpha_threshold.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Pseudo Orders       <pseudo_orders.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Burrow              <burrow.lua>
    [f=0000000] Loaded UNSYNCED gadget:  UnitAutoHold        <autohold.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Airstrike           <airstrike.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Area Denial         <areadenial.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Bombard             <bug_bombard.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Infection           <infection.lua>
    [f=0000000] Loaded UNSYNCED gadget:  LuaCOB              <luacob.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Network Arc Effect  <network_arceffect.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Network Buffer      <network_buffer.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Network Build       <network_build.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Special Attack      <specialattack.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Launcher            <launcher.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Network Dispatch    <network_dispatch.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Network Enter       <network_enter.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Network Reflectorshield  <network_reflectorshield.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Armor Bonus         <armor_bonus.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Kernel Panic O.N.S.  <ons.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Invasion AI         <kpai_invasion.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Kernel Panic AI     <kpai.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Fair KPAI           <kpai_fair.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Regenerative AI     <regenai.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Evilless            <evilless.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Shoot'n'Run         <shoot_n_run.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Lua hotfixes        <hotfixes.lua>
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] [ArchiveScanner] GetArchives: TinySkirmish (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/TinySkirmish.sd7 checksum: 1852051443/1852051443
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 349204423/349204423
    [f=0000000] [ArchiveScanner] archive checksum TinySkirmish: 2058641460/2058641460
    [f=0000000] [ArchiveScanner] GetArchives: 5cbedd6403a6845bf5a030d8836a26ae.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/5cbedd6403a6845bf5a030d8836a26ae.sdp checksum: 1524119795/1524119795
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 1027432337/1027432337
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 369695027/369695027
    [f=0000000] [ArchiveScanner] archive checksum 5cbedd6403a6845bf5a030d8836a26ae.sdp: 1911324241/1911324241
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] [widgets.lua] Loading widget from mod:   Hide commands       <hide_commands.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Keep Morpheds Selected  <kp_keep_morphed_selected.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Build Bar  <kp_buildbar.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Console Commands  <kp_cnslcmd.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic MidKnight's tooltip background  <kp_midknight_bg.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic autospam  <kp_autospam.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Write GameState     <gamestate_write.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Mission Briefing  <kp_mission_briefing.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Hotkeys  <kp_hotkeys.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Default Commands  <kp_defaultcommands.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   noResBar NoMoveWarnings  <noresbar.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Geos Highlight  <kp_geoshighlight.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   TeamDiedMessages    <game_messages.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Automatic Tip Dispenser  <kp_automatic_tip_dispenser.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Tooltip  <kp_tooltip.lua> ...
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/Widgets/KP_CtrlPanel.txt
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic O.N.S. help tips  <kp_onshelp.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Spring Direct Launch 2  <kp_spring_direct_launch.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Heroes Right Click  <kp_heroes_right_click.lua> ...
    [f=0000000] LuaUI v0.3
    [f=0000000] [LoadFinalize] finalizing PFS
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=3026562271
    [f=0000000] PathCosts: creating PE8 cache with 4 PF threads (8 MB)
    [f=0000000] PathCosts: precached 3 of 1024 blocks
    [f=0000000] PathCosts: precached 757 of 1024 blocks
    [f=0000000] PathCosts: writing
    [f=0000000] [Path] [PathEstimator::WriteFile] hash=3026562271
    [f=0000000] PathCosts: written
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=3026562295
    [f=0000000] PathCosts: creating PE32 cache with 4 PF threads (6 MB)
    [f=0000000] PathCosts: precached 2 of 64 blocks
    [f=0000000] PathCosts: precached 51 of 64 blocks
    [f=0000000] PathCosts: writing
    [f=0000000] [Path] [PathEstimator::WriteFile] hash=3026562295
    [f=0000000] PathCosts: written
    [f=0000000] [LoadFinalize] finalized PFS (2783ms, checksum a170a630)
    [f=0000000] Loaded DecalsDrawer: Legacy
    [f=0000000] Removing, Hide commands
    [f=0000000] Removing, Keep Morpheds Selected
    [f=0000000] Removing, Kernel Panic Build Bar
    [f=0000000] Removing, Kernel Panic Console Commands
    [f=0000000] Removing, Kernel Panic MidKnight's tooltip background
    [f=0000000] Removing, Kernel Panic autospam
    [f=0000000] Removing, Write GameState
    [f=0000000] Removing, Kernel Panic Default Commands
    [f=0000000] Removing, Kernel Panic Geos Highlight
    [f=0000000] Removing, TeamDiedMessages
    [f=0000000] Removing, Kernel Panic Automatic Tip Dispenser
    [f=0000000] Removing, Kernel Panic Tooltip
    [f=0000000] The line below may complain about 'w' being nil, that is normal, and a result of my closing all widgets.
    [f=0000000] Error: LuaUI::RunCallIn: error = 2, DrawScreenEffects, [Internal Lua error: Call failure] [string "LuaUI/widgets.lua"]:1294: attempt to index local 'w' (a nil value)
    [f=0000000] GameID: 00421055a733fa9250161984fb40a897
    [f=0000000] Connection attempt from UnnamedPlayer
    [f=0000000]  -> Version: 98.0.1-428-gb47c43b develop (Debug)
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Player UnnamedPlayer finished loading and is now ingame
    [f=0000000] Spring Direct Launch 2: Wanting to reload "Missions/KP/challenge 6 - navigating through n x flags.txt"
    [f=0000000] 
    
    <<BEGIN DUMPING TRIMMED>>
    
    
    [f=0000000] 
    
    
    
    
    
    [GAME]
    {
    	GameType=Kernel Panic 4.6;
    	Mapname=Hex Farm 7;
    
    	[MODOPTIONS]
    	{
    	FullScript=script.sav;
    
    		MissionScript=Missions/KP/challenge 6 - navigating through n x flags.txt;
    
    		MissionBriefing="Navigate through this simple maze, \navoid passing through the NX flags, \nkill pointers causing them to clear pathes. \nReach the firewall at the other end to win.\n \nNote: If you cannot see the NX effects\nthen raise MaxParticles to over 9000!!";
    
    		
    		nowalls=1;
    		nospecials=0;
    		ons=0;
    		sos=0;
    		colorwars=0;
    		preplaced=0;
    		metaltogeo=geo;
    		
    		GameMode=0;
    			
    			
    			
    			
    		ghostedbuildings=1;
    		fixedallies=0;
    		MaxUnits=512;
    		MinSpeed=0.1;
    		MaxSpeed=10;
    
    		
    		StartMetal=1024;
    		StartEnergy=1024;
    		LauncherName=Write GameState widget;
    		LauncherVersion=1.52;
    		DateTime=Sunday 15 May 2011 at 17:21:04;
    
    
    		ModifyStatistics1=unit bit maxvelocity x1.33333 maxdamage 100;
    		ModifyStatistics2=weapon line damage x5 sound3;
    
    		Trigger1=Name Goal_Reached InDisk 7008 3488 173 Team 0 Bit Period 20;
    		Trigger2=Name End_The_Game Trigger Goal_Reached Team 1 Pointer Virus Period 27 Once Stop SelfDestruct Echo Calling airstrike... Please stand-by;
    		Trigger46= Once Trigger End_The_Game Team 2 InDisk 9039 4843 32 TimeWait 1 FireState 2 MoveState 2 Fight 8700 6272 Fight 8048 8235 Fight 5772 8717 Repeat;
    		Trigger47= Once Trigger End_The_Game Team 2 InDisk 8854 4610 32 TimeWait 1 FireState 2 MoveState 2 Fight 8380 5897 Fight 7545 7599 Fight 5471 8322 Repeat;
    		Trigger48= Once Trigger End_The_Game Team 2 InDisk 8584 4478 32 TimeWait 1 FireState 2 MoveState 2 Fight 8059 5512 Fight 6936 7062 Fight 5207 7892 Repeat;
    		Trigger49= Once Trigger End_The_Game Team 2 InDisk 8309 4360 32 TimeWait 1 FireState 2 MoveState 2 Fight 7694 5158 Fight 6354 6493 Fight 4911 7503 Repeat;
    		Trigger50= Once Trigger End_The_Game Team 2 InDisk 3173 4140 32 TimeWait 1 FireState 2 MoveState 2 Fight 3398 7179 Fight 4884 8682 Fight 7203 8830 Repeat;
    		Trigger51= Once Trigger End_The_Game Team 2 InDisk 8186 4085 32 TimeWait 1 FireState 2 MoveState 2 Fight 7336 4781 Fight 5747 5952 Fight 4463 7295 Repeat;
    		Trigger52= Once Trigger End_The_Game Team 2 InDisk 8085 3800 32 TimeWait 1 FireState 2 MoveState 2 Fight 7048 4356 Fight 5162 5392 Fight 4091 6986 Repeat;
    		Trigger53= Once Trigger End_The_Game Team 2 InDisk 3340 3751 32 TimeWait 1 FireState 2 MoveState 2 Fight 3992 6681 Fight 5522 8268 Fight 6638 8701 Repeat;
    		Trigger54= Once Trigger End_The_Game Team 2 InDisk 5633 3691 32 TimeWait 1 FireState 2 MoveState 2 Fight 6765 4004 Fight 8263 5578 Fight 8523 6729 Repeat;
    		Trigger55= Once Trigger End_The_Game Team 2 InDisk 8001 3511 32 TimeWait 1 FireState 2 MoveState 2 Fight 6703 3970 Fight 4668 4758 Fight 3725 6660 Repeat;
    		Trigger56= Once Trigger End_The_Game Team 2 InDisk 3673 3490 32 TimeWait 1 FireState 2 MoveState 2 Fight 4567 6158 Fight 6085 7742 Fight 7783 8832 Repeat;
    		Trigger57= Once Trigger End_The_Game Team 2 InDisk 5316 3411 32 TimeWait 1 FireState 2 MoveState 2 Fight 7371 3526 Fight 8799 5024 Fight 8855 7197 Repeat;
    		Trigger58= Once Trigger End_The_Game Team 2 InDisk 4067 3348 32 TimeWait 1 FireState 2 MoveState 2 Fight 5094 5597 Fight 6596 7169 Fight 8330 8663 Repeat;
    		Trigger59= Once Trigger End_The_Game Team 2 InDisk 4909 3299 32 TimeWait 1 FireState 2 MoveState 2 Fight 6210 4537 Fight 7695 6103 Fight 8943 7762 Repeat;
    		Trigger60= Once Trigger End_The_Game Team 2 InDisk 4492 3297 32 TimeWait 1 FireState 2 MoveState 2 Fight 5624 5046 Fight 7174 6658 Fight 8770 8307 Repeat;
    		Trigger61= Once Trigger End_The_Game Team 2 InDisk 7823 3266 32 TimeWait 1 FireState 2 MoveState 2 Fight 6305 3648 Fight 4264 4054 Fight 3348 6335 Repeat;
    
    	}
    
    	[MAPOPTIONS]
    	{
    		hexfarm_center=1;
    		hexfarm_tower_radius=200;
    		hexfarm_orientation=78;
    		hexfarm_bridge_angle=-1;
    		hexfarm_bridge_length=300;
    		hexfarm_force_random=0;
    		hexfarm_density=1;
    		hexfarm_geo=7;
    		hexfarm_boundary=2;
    		hexfarm_bridge_width=150;
    		hexfarm_color=1;
    		hexfarm_area=25;
    		hexfarm_exploration=0;
    		hexfarm_destruction=0;
    		hexfarm_construction=0;
    	}
    
    	OnlyLocal=1;
    	
    	HostPort=0;
    	IsHost=1;
    
    	StartPosType=3;
    	MyPlayerNum=0;
    	MyPlayerName=Player;
    	NumPlayers=1;
    	NumUsers=3;
    	NumTeams=3;
    	NumAllyTeams=2;
    
    	
    	[PLAYER0]
    	{
    		name=Player;
    		Team=0;
    		Spectator=0;
    	}
    
    	
    	[AI1]
    	{
    		Name=Pointers to NX zones;
    		ShortName=Kernel Panic AI;
    		
    		Team=1;
    		Host=0;
    	}
    	[AI2]
    	{
    		Name=Goal;
    		ShortName=Kernel Panic AI;
    		
    		Team=2;
    		Host=0;
    	}
    
    	
    	[TEAM0]
    	{
    		TeamLeader=0;
    		AllyTeam=0;
    		Handicap=0;
    		Side=system;
    		RGBColor=0.4 0.6 1;
    		StartPosX=5280;
    		StartPosZ=8800;
    	}
    	[TEAM1]
    	{
    		TeamLeader=0;
    		AllyTeam=1;
    		Handicap=0;
    		Side=system;
    		RGBColor=0.8 0 0;
    		AIDLL=Kernel Panic AI;
    		aioverride=Dummy;
    		StartPosX=6368;
    		StartPosZ=5472;
    	}
    	[TEAM2]
    	{
    		TeamLeader=0;
    		AllyTeam=0;
    		RGBColor=0.2 1.0 0.3;
    		Side=network;
    		Handicap=0;
    		AIDLL=Kernel Panic AI;
    		aioverride=Dummy;
    		StartPosX=7008;
    		StartPosZ=3472;
    	}
    
    	
    	[ALLYTEAM0]
    	{
    		NumAllies=0;
    	}
    	[ALLYTEAM1]
    	{
    		NumAllies=0;
    	}
    
    	
    	NumRestrictions=1;
    	[RESTRICT]
    	{
    		Unit0=bit;
    		Limit0=1;
    	}
    }
    
    [f=0000000] 
    
    <<END DUMPING TRIMMED>>
    
    
    [f=0000000] Making infolog.txt copy into infolog.bak.txt
    [f=0000000] Spring Direct Launch 2: Ok, calling Spring.Restart("","[GAME]{..}") now!
    [f=0000000] [ReloadOrRestart] Spring "/var/tmp/home/dev/spring/develop/spring" should be reloading
    [f=0000000] Spring Direct Launch 2: Just called Spring.Restart("","[GAME]{..}")
    [f=0000000] Spring Direct Launch 2: Wait, we shouldn't be here, should have restarted or crashed or quitted by now.
    [f=0000000] [ThreadPool::SetThreadCount][1] #wanted=0 #current=3 #max=4
    [f=0000000] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0000000] [ThreadPool::SetThreadCount][1] #wanted=4 #current=1 #max=4
    [f=0000000] [ThreadPool::SetThreadCount][2] #threads=3
    [f=0000000] [~CGame]1]
    [f=0000000] [KillLua][1]
    [f=0000000] [KillLua][2]
    [f=0000000] [KillLua][3]
    [f=0000000] [KillLua][4]
    [f=0000000] [KillMisc][1]
    [f=0000000] [KillMisc][2]
    [f=0000000] [KillRendering][1]
    [f=0000000] Statistics for RectangleOptimizer: 0%
    [f=0000000] [KillInterface][1]
    [f=0000000] [KillInterface][2]
    [f=0000000] [KillSimulation][1]
    [f=0000000] [KillSimulation][2]
    [f=0000000] [CCollisionHandler] dis-/continuous tests: 0/0
    [f=0000000] [KillSimulation][3]
    [f=0000000] [KillSimulation][4]
    [f=0000000] [~CPathCache(8x8)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000000] [~CPathCache(8x8)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000000] [~CPathCache(32x32)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000000] [~CPathCache(32x32)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0000000] Statistics for RectangleOptimizer: 0%
    [f=0000000] Statistics for RectangleOptimizer: 0%
    [f=0000000] [KillSimulation][5]
    [f=0000000] [~CGame][2]
    [f=0000000] [~CGame][3]
    [f=0000000] [GameServer] [~CGameServer][1]
    [f=0000000] [GameServer] [~CGameServer][2]
    [f=0000000] Statistics for local connection:
    Received: 628 bytes
    Sent: 225 bytes
    
    [f=0000000] Writing demo: /var/tmp/home/dev/spring/develop/demos/20150323_174032_TinySkirmish_98.0.1-428-gb47c43b develop.sdf
    [f=0000000] [VFS] [~CVFSHandler] #archives=5
    [f=0000000] [VFS] 	archive=/home/abma/.spring/maps/TinySkirmish.sd7 (0x31511e0)
    [f=0000000] [VFS] 	archive=/home/abma/.spring/packages/5cbedd6403a6845bf5a030d8836a26ae.sdp (0x3148a30)
    [f=0000000] [VFS] 	archive=/var/tmp/home/dev/spring/develop/base/maphelper.sdz (0x3122c20)
    [f=0000000] [VFS] 	archive=/var/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz (0x33d13d0)
    [f=0000000] [VFS] 	archive=/var/tmp/home/dev/spring/develop/base/springcontent.sdz (0x33bfdc0)
    [f=0000000] [DataDirs] Portable Mode!
    [f=0000000] Using read-write data directory: /var/tmp/home/dev/spring/develop/
    [f=0000000] Using read-only data directory: /home/abma/.config/spring/
    [f=0000000] Using read-only data directory: /home/abma/.spring/
    [f=0000000] Using read-only data directory: /home/abma/local/spring/develop/share/games/spring/
    [f=0000000] Scanning: /home/abma/local/spring/develop/share/games/spring/base
    [f=0000000] Scanning: /home/abma/.spring/maps
    [f=0000000] Scanning: /home/abma/.spring/games
    [f=0000000] Scanning: /home/abma/.spring/packages
    [f=0000000] Scanning: /var/tmp/home/dev/spring/develop/base
    [f=0000000] Error: Found a "rustydelta_final.sd7" already in "/home/abma/.spring/maps/", ignoring one in "/home/abma/.spring/maps/"
    [f=0000000] Error: Found a "salmonstream.sd7" already in "/home/abma/.spring/maps/", ignoring one in "/home/abma/.spring/maps/"
    [f=0000000] Error: Found a "valles_marineris_v2.sd7" already in "/home/abma/.spring/maps/", ignoring one in "/home/abma/.spring/maps/"
    [f=0000000] Error: Found a "comet_catcher_redux.sd7" already in "/home/abma/.spring/maps/", ignoring one in "/home/abma/.spring/maps/"
    [f=0000000] Error: Found a "eye_of_horus_v2.sd7" already in "/home/abma/.spring/maps/", ignoring one in "/home/abma/.spring/maps/"
    [f=0000000] Error: Found a "bitmaps.sdz" already in "/var/tmp/home/dev/spring/develop/base/spring/", ignoring one in "/home/abma/local/spring/develop/share/games/spring/base/spring/"
    [f=0000000] Error: Found a "springcontent.sdz" already in "/var/tmp/home/dev/spring/develop/base/", ignoring one in "/home/abma/local/spring/develop/share/games/spring/base/"
    [f=0000000] Error: Found a "cursors.sdz" already in "/var/tmp/home/dev/spring/develop/base/", ignoring one in "/home/abma/local/spring/develop/share/games/spring/base/"
    [f=0000000] Error: Found a "maphelper.sdz" already in "/var/tmp/home/dev/spring/develop/base/", ignoring one in "/home/abma/local/spring/develop/share/games/spring/base/"
    [f=0000000] [Sound] [~CSound][1] soundThread=0x31a9f50
    [f=0000000] [Sound] [~CSound][2]
    [f=0000000] [Sound] [~CSound][3]
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               ALSA Default
    [f=0000000] [Sound]               HDA ATI SB, ALC892 Analog (CARD=SB,DEV=0)
    [f=0000000] [Sound]               HDA ATI SB, ALC892 Digital (CARD=SB,DEV=1)
    [f=0000000] [Sound]               HDA ATI HDMI, HDMI 0 (CARD=HDMI,DEV=3)
    [f=0000000] [Sound]               Generic USB Audio Device, USB Audio (CARD=Device,DEV=0)
    [f=0000000] [Sound]   Device:     OpenAL Soft
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.15.1
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFTX_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_source_latency
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFT_loopback
    [f=0000000] [Sound]   Max Sounds: 32
    [f=0000000] Registering thread controls for thread [audio]
    [f=0000000] Hosting on: localhost:0
    [f=0000000] Connecting to local server
    [f=0000000] [AddGameSetupArchivesToVFS] using map: Hex Farm 7
    [f=0000000] [ArchiveScanner] GetArchives: Hex Farm 7 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: 5cbedd6403a6845bf5a030d8836a26ae.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/5cbedd6403a6845bf5a030d8836a26ae.sdp checksum: 1524119795/1524119795
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 1027432337/1027432337
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 369695027/369695027
    [f=0000000] [ArchiveScanner] archive checksum 5cbedd6403a6845bf5a030d8836a26ae.sdp: 1911324241/1911324241
    [f=0000000] [ArchiveScanner] GetArchives: hex_farm_7.sd7 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/hex_farm_7.sd7 checksum: 1966011895/1966011895
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 349204423/349204423
    [f=0000000] [ArchiveScanner] archive checksum hex_farm_7.sd7: 1644075568/1644075568
    [f=0000000] PreGame::StartServer: 30 ms
    [f=0000000] [AddGameSetupArchivesToVFS] using map: Hex Farm 7
    [f=0000000] [ArchiveScanner] GetArchives: Hex Farm 7 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Kernel Panic 4.6 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [AddGameSetupArchivesToVFS] using game: Kernel Panic 4.6 (archive: 5cbedd6403a6845bf5a030d8836a26ae.sdp)
    [f=0000000] [ArchiveScanner] GetArchives: Hex Farm 7 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/hex_farm_7.sd7 checksum: 1966011895/1966011895
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 349204423/349204423
    [f=0000000] [ArchiveScanner] archive checksum Hex Farm 7: 1644075568/1644075568
    [f=0000000] [ArchiveScanner] GetArchives: 5cbedd6403a6845bf5a030d8836a26ae.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/5cbedd6403a6845bf5a030d8836a26ae.sdp checksum: 1524119795/1524119795
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 1027432337/1027432337
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 369695027/369695027
    [f=0000000] [ArchiveScanner] archive checksum 5cbedd6403a6845bf5a030d8836a26ae.sdp: 1911324241/1911324241
    [f=0000000] Recording demo to: /var/tmp/home/dev/spring/develop/demos/20150323_174054_Hex Farm 7_98.0.1-428-gb47c43b develop.sdf
    [f=0000000] PreGame::GameDataReceived: 34 ms
    [f=0000000] [PreGame::UpdateClientNet] user number 0 (team 0, allyteam 0)
    [f=0000000] [ArchiveScanner] GetArchives: Hex Farm 7 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/hex_farm_7.sd7 checksum: 1966011895/1966011895
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 349204423/349204423
    [f=0000000] [ArchiveScanner] archive checksum Hex Farm 7: 1644075568/1644075568
    [f=0000000] [ArchiveScanner] GetArchives: 5cbedd6403a6845bf5a030d8836a26ae.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/5cbedd6403a6845bf5a030d8836a26ae.sdp checksum: 1524119795/1524119795
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 1027432337/1027432337
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 369695027/369695027
    [f=0000000] [ArchiveScanner] archive checksum 5cbedd6403a6845bf5a030d8836a26ae.sdp: 1911324241/1911324241
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "Circuit Growth"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      Circuit Growth         <circuitgrowth.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] LoadingScreen: single-threaded
    [f=0000000] Registering thread controls for thread [load]
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (233 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] bit's maxvelocity modified from 3 to 3.9999899864197
    [f=0000000] bit's maxdamage modified from 600 to 100
    [f=0000000] line's damage to default modified from 80 to 400
    [f=0000000] Loading all definitions:  0.071000
    [f=0000000] Game::LoadDefs (GameData): 163 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound]  parsed 6 sounds from gamedata/sounds.lua
    [f=0000000] Game::LoadDefs (Sound): 95 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 9407 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 13
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] Loading Weapon Definitions
    [f=0000000] Warning: WeaponDef (homebaseshieldbad) The "isShield" tag has been removed. Use the weaponType="Shield" tag instead!
    [f=0000000] Warning: WeaponDef (homebaseshieldgood) The "isShield" tag has been removed. Use the weaponType="Shield" tag instead!
    [f=0000000] Warning: WeaponDef (minifacshieldbad) The "isShield" tag has been removed. Use the weaponType="Shield" tag instead!
    [f=0000000] Warning: WeaponDef (minifacshieldgood) The "isShield" tag has been removed. Use the weaponType="Shield" tag instead!
    [f=0000000] Loading Unit Definitions
    [f=0000000] Loading Feature Definitions
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Error: [LoadFeaturesFromMap] unknown map feature type ""
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] Error: OpenGL: source<API> type<other> id<1> severity<medium>:
    FBO incomplete: no attachments [-1]
    
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 51 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: SMFShaderGLSL-Standard, unset uniform: texSquare
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: SMFShaderGLSL-Deferred, unset uniform: texSquare
    [f=0000000] Creating TreeDrawer
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: camPos
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: frame
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: windSpeed
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: sunDir
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: ambientLightColor
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: diffuseLightColor
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: specularLightColor
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassNearAdvShaderGLSL, unset uniform: camDir
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassDistAdvShaderGLSL, unset uniform: camPos
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassDistAdvShaderGLSL, unset uniform: camUp
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassDistAdvShaderGLSL, unset uniform: camRight
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassDistAdvShaderGLSL, unset uniform: frame
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassDistAdvShaderGLSL, unset uniform: windSpeed
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassDistAdvShaderGLSL, unset uniform: ambientLightColor
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassDistAdvShaderGLSL, unset uniform: diffuseLightColor
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassShadGenShaderGLSL, unset uniform: shadowMatrix
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassShadGenShaderGLSL, unset uniform: shadowParams
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassShadGenShaderGLSL, unset uniform: frame
    [f=0000000] [Shader] Warning: [GLSL-PO::Validate] program-object name: grassShadGenShaderGLSL, unset uniform: windSpeed
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 127 ms
    [f=0000000] Error: Duplicate AI Interface Info found:
    [f=0000000] Error: 	for interface: C 0.1
    [f=0000000] Error: 	in files:
    [f=0000000] Error: 	/home/abma/local/spring/develop/share/games/spring/AI/Interfaces/C/0.1/InterfaceInfo.lua
    [f=0000000] Error: 	/var/tmp/home/dev/spring/develop/AI/Interfaces/C/data/InterfaceInfo.lua
    [f=0000000] Error: 	using: /var/tmp/home/dev/spring/develop/AI/Interfaces/C/data/InterfaceInfo.lua
    [f=0000000] Error: Duplicate AI Interface Info found:
    [f=0000000] Error: 	for interface: Java 0.1
    [f=0000000] Error: 	in files:
    [f=0000000] Error: 	/home/abma/local/spring/develop/share/games/spring/AI/Interfaces/Java/0.1/InterfaceInfo.lua
    [f=0000000] Error: 	/var/tmp/home/dev/spring/develop/AI/Interfaces/Java/data/InterfaceInfo.lua
    [f=0000000] Error: 	using: /var/tmp/home/dev/spring/develop/AI/Interfaces/Java/data/InterfaceInfo.lua
    [f=0000000] Warning: AI Interface property 'supportsLookup' could not be found.
    [f=0000000] Game::LoadInterface (Console): 27 ms
    [f=0000000] Loading LuaRules
    [f=0000000] [ArchiveScanner] GetArchives: Hex Farm 7 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/hex_farm_7.sd7 checksum: 1966011895/1966011895
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 349204423/349204423
    [f=0000000] [ArchiveScanner] archive checksum Hex Farm 7: 1644075568/1644075568
    [f=0000000] [ArchiveScanner] GetArchives: 5cbedd6403a6845bf5a030d8836a26ae.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/5cbedd6403a6845bf5a030d8836a26ae.sdp checksum: 1524119795/1524119795
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 1027432337/1027432337
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 369695027/369695027
    [f=0000000] [ArchiveScanner] archive checksum 5cbedd6403a6845bf5a030d8836a26ae.sdp: 1911324241/1911324241
    [f=0000000] Loaded SYNCED gadget:  Color Wars!         <colorwars.lua>
    [f=0000000] Loaded SYNCED gadget:  Force LUA UI        <luaui_force.lua>
    [f=0000000] Loaded SYNCED gadget:  Game Over           <game_over.lua>
    [f=0000000] Loaded SYNCED gadget:  Hand autobuild      <hand_autobuild.lua>
    [f=0000000] Loaded SYNCED gadget:  Has Taken The Lead  <taken_the_lead.lua>
    [f=0000000] HexFarm: UseMapOptions
    [f=0000000] HexFarm: DesignLayout
    [f=0000000] HexFarm: Placing Hexes
    [f=0000000] HexFarm: Placing Geos
    [f=0000000] HexFarm: Placing Rects
    [f=0000000] HexFarm: SetWholeSmoothMesh
    [f=0000000] HexFarm: SetStartPos
    [f=0000000] Suspecting a RelayHost or SL, Game.startPosType changed from 3 to 3
    [f=0000000] HexFarm: SetWholeHeightMap
    [f=0000000] HexFarm: SetWholeTerrainAndMetalMap
    [f=0000000] HexFarm: RedoDatavents
    [f=0000000] HexFarm: RemoveExtraCallins
    [f=0000000] HexFarm: Done
    [f=0000000] "R:200 W:150 L:300 P:1 O:78 A:25 F:H Z:H D:75 V:0 M:48 S:9 C:F I:0"
    [f=0000000] 
    	[MAPOPTIONS]
    	{
    		hexfarm_force_random=0;
    		hexfarm_tower_radius=200;
    		hexfarm_bridge_width=150;
    		hexfarm_bridge_length=300;
    		hexfarm_bridge_slope=1;// 1 which gets rounded to zero as 0 would be random
    		hexfarm_orientation=78;
    		hexfarm_area=25;// dimensions divided by 2
    		hexfarm_boundary=2;// hexagon
    		hexfarm_center=1;// hole
    		hexfarm_density=1;// 75%
    		hexfarm_vents=7;// 0%
    		hexfarm_metal=48;
    		hexfarm_skin=9;// Digital
    		hexfarm_color=1;// Fixed
    		hexfarm_indication=0;
    	}
    [f=0000000] Loaded SYNCED gadget:  Hex Farm            <hexfarm7.lua>
    [f=0000000] Loaded SYNCED gadget:  Kernel Panic K.O.T.H.  <koth.lua>
    [f=0000000] Loaded SYNCED gadget:  Kernel Panic S.O.S.  <sos.lua>
    [f=0000000] Loaded SYNCED gadget:  Pre-placed Minifacs  <preplaced.lua>
    [f=0000000] Loaded SYNCED gadget:  Spawn               <game_spawn.lua>
    [f=0000000] Loaded SYNCED gadget:  Spawn Units         <spawn_units.lua>
    [f=0000000] Loaded SYNCED gadget:  Start Point Remover Gadget  <init_start_point_remover_gadget.lua>
    [f=0000000] Loaded SYNCED gadget:  kpunittypes.lua     <kpunittypes.lua>
    [f=0000000] Loaded SYNCED gadget:  new_cmd_id.lua      <new_cmd_id.lua>
    [f=0000000] Loaded SYNCED gadget:  Touhou Build        <touhou_build.lua>
    [f=0000000] Loaded SYNCED gadget:  Metal To Geo converter  <metaltogeo.lua>
    [f=0000000] Loaded SYNCED gadget:  set Alpha Threshold  <set_alpha_threshold.lua>
    [f=0000000] Loaded SYNCED gadget:  Pseudo Orders       <pseudo_orders.lua>
    [f=0000000] Loaded SYNCED gadget:  Burrow              <burrow.lua>
    [f=0000000] Loaded SYNCED gadget:  UnitAutoHold        <autohold.lua>
    [f=0000000] Loaded SYNCED gadget:  Airstrike           <airstrike.lua>
    [f=0000000] Loaded SYNCED gadget:  Area Denial         <areadenial.lua>
    [f=0000000] Loaded SYNCED gadget:  Bombard             <bug_bombard.lua>
    [f=0000000] Loaded SYNCED gadget:  Infection           <infection.lua>
    [f=0000000] Loaded SYNCED gadget:  Kernel boost        <kernelboost.lua>
    [f=0000000] Loaded SYNCED gadget:  LuaCOB              <luacob.lua>
    [f=0000000] Loaded SYNCED gadget:  Network Arc Effect  <network_arceffect.lua>
    [f=0000000] Loaded SYNCED gadget:  Network Buffer      <network_buffer.lua>
    [f=0000000] Loaded SYNCED gadget:  Network Build       <network_build.lua>
    [f=0000000] Loaded SYNCED gadget:  Special Attack      <specialattack.lua>
    [f=0000000] Loaded SYNCED gadget:  Launcher            <launcher.lua>
    [f=0000000] Loaded SYNCED gadget:  Network Dispatch    <network_dispatch.lua>
    [f=0000000] Loaded SYNCED gadget:  Network Enter       <network_enter.lua>
    [f=0000000] Loaded SYNCED gadget:  Flow Speed          <network_flowspeed.lua>
    [f=0000000] Loaded SYNCED gadget:  Network Reflectorshield  <network_reflectorshield.lua>
    [f=0000000] Loaded SYNCED gadget:  Armor Bonus         <armor_bonus.lua>
    [f=0000000] Loaded SYNCED gadget:  Kernel Panic O.N.S.  <ons.lua>
    [f=0000000] Loaded SYNCED gadget:  Invasion AI         <kpai_invasion.lua>
    [f=0000000] Loaded SYNCED gadget:  Kernel Panic AI     <kpai.lua>
    [f=0000000] Loaded SYNCED gadget:  Fair KPAI           <kpai_fair.lua>
    [f=0000000] Loaded SYNCED gadget:  Regenerative AI     <regenai.lua>
    [f=0000000] Loaded SYNCED gadget:  Evilless            <evilless.lua>
    [f=0000000] Loaded SYNCED gadget:  Shoot'n'Run         <shoot_n_run.lua>
    [f=0000000] Loaded SYNCED gadget:  Lua hotfixes        <hotfixes.lua>
    [f=0000000] [ArchiveScanner] GetArchives: Hex Farm 7 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/hex_farm_7.sd7 checksum: 1966011895/1966011895
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 349204423/349204423
    [f=0000000] [ArchiveScanner] archive checksum Hex Farm 7: 1644075568/1644075568
    [f=0000000] [ArchiveScanner] GetArchives: 5cbedd6403a6845bf5a030d8836a26ae.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/5cbedd6403a6845bf5a030d8836a26ae.sdp checksum: 1524119795/1524119795
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 1027432337/1027432337
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 369695027/369695027
    [f=0000000] [ArchiveScanner] archive checksum 5cbedd6403a6845bf5a030d8836a26ae.sdp: 1911324241/1911324241
    [f=0000000] Loaded UNSYNCED gadget:  Color Wars!         <colorwars.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Force LUA UI        <luaui_force.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Game Over           <game_over.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Hand autobuild      <hand_autobuild.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Has Taken The Lead  <taken_the_lead.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Hex Farm            <hexfarm7.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Kernel Panic K.O.T.H.  <koth.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Kernel Panic S.O.S.  <sos.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Pre-placed Minifacs  <preplaced.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Spawn Units         <spawn_units.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Start Point Remover Gadget  <init_start_point_remover_gadget.lua>
    [f=0000000] Loaded UNSYNCED gadget:  kpunittypes.lua     <kpunittypes.lua>
    [f=0000000] Loaded UNSYNCED gadget:  new_cmd_id.lua      <new_cmd_id.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Touhou Build        <touhou_build.lua>
    [f=0000000] Loaded UNSYNCED gadget:  set Alpha Threshold  <set_alpha_threshold.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Pseudo Orders       <pseudo_orders.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Burrow              <burrow.lua>
    [f=0000000] Loaded UNSYNCED gadget:  UnitAutoHold        <autohold.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Airstrike           <airstrike.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Area Denial         <areadenial.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Bombard             <bug_bombard.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Infection           <infection.lua>
    [f=0000000] Loaded UNSYNCED gadget:  LuaCOB              <luacob.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Network Arc Effect  <network_arceffect.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Network Buffer      <network_buffer.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Network Build       <network_build.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Special Attack      <specialattack.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Launcher            <launcher.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Network Dispatch    <network_dispatch.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Network Enter       <network_enter.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Network Reflectorshield  <network_reflectorshield.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Armor Bonus         <armor_bonus.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Kernel Panic O.N.S.  <ons.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Invasion AI         <kpai_invasion.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Kernel Panic AI     <kpai.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Fair KPAI           <kpai_fair.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Regenerative AI     <regenai.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Evilless            <evilless.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Shoot'n'Run         <shoot_n_run.lua>
    [f=0000000] Loaded UNSYNCED gadget:  Lua hotfixes        <hotfixes.lua>
    [f=0000000] Loading LuaGaia
    [f=0000000] [ArchiveScanner] GetArchives: Hex Farm 7 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/hex_farm_7.sd7 checksum: 1966011895/1966011895
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 349204423/349204423
    [f=0000000] [ArchiveScanner] archive checksum Hex Farm 7: 1644075568/1644075568
    [f=0000000] [ArchiveScanner] GetArchives: 5cbedd6403a6845bf5a030d8836a26ae.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/5cbedd6403a6845bf5a030d8836a26ae.sdp checksum: 1524119795/1524119795
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 1027432337/1027432337
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 369695027/369695027
    [f=0000000] [ArchiveScanner] archive checksum 5cbedd6403a6845bf5a030d8836a26ae.sdp: 1911324241/1911324241
    [f=0000000] [ArchiveScanner] GetArchives: Hex Farm 7 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/hex_farm_7.sd7 checksum: 1966011895/1966011895
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 349204423/349204423
    [f=0000000] [ArchiveScanner] archive checksum Hex Farm 7: 1644075568/1644075568
    [f=0000000] [ArchiveScanner] GetArchives: 5cbedd6403a6845bf5a030d8836a26ae.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/5cbedd6403a6845bf5a030d8836a26ae.sdp checksum: 1524119795/1524119795
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 1027432337/1027432337
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 369695027/369695027
    [f=0000000] [ArchiveScanner] archive checksum 5cbedd6403a6845bf5a030d8836a26ae.sdp: 1911324241/1911324241
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] [ArchiveScanner] GetArchives: Hex Farm 7 (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Map Helper v1 (depth 1)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/maps/hex_farm_7.sd7 checksum: 1966011895/1966011895
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/maphelper.sdz checksum: 349204423/349204423
    [f=0000000] [ArchiveScanner] archive checksum Hex Farm 7: 1644075568/1644075568
    [f=0000000] [ArchiveScanner] GetArchives: 5cbedd6403a6845bf5a030d8836a26ae.sdp (depth 0)
    [f=0000000] [ArchiveScanner] GetArchives: Spring content v1 (depth 1)
    [f=0000000] [ArchiveScanner] GetArchives: Spring Bitmaps (depth 2)
    [f=0000000] [ArchiveScanner] /home/abma/.spring/packages/5cbedd6403a6845bf5a030d8836a26ae.sdp checksum: 1524119795/1524119795
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/springcontent.sdz checksum: 1027432337/1027432337
    [f=0000000] [ArchiveScanner] /var/tmp/home/dev/spring/develop/base/spring/bitmaps.sdz checksum: 369695027/369695027
    [f=0000000] [ArchiveScanner] archive checksum 5cbedd6403a6845bf5a030d8836a26ae.sdp: 1911324241/1911324241
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] [widgets.lua] Loading widget from mod:   Hide commands       <hide_commands.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Keep Morpheds Selected  <kp_keep_morphed_selected.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Build Bar  <kp_buildbar.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Console Commands  <kp_cnslcmd.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic MidKnight's tooltip background  <kp_midknight_bg.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic autospam  <kp_autospam.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Write GameState     <gamestate_write.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Mission Briefing  <kp_mission_briefing.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Hotkeys  <kp_hotkeys.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Default Commands  <kp_defaultcommands.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   noResBar NoMoveWarnings  <noresbar.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Geos Highlight  <kp_geoshighlight.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   TeamDiedMessages    <game_messages.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Automatic Tip Dispenser  <kp_automatic_tip_dispenser.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic Tooltip  <kp_tooltip.lua> ...
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/Widgets/KP_CtrlPanel.txt
    [f=0000000] [widgets.lua] Loading widget from mod:   Kernel Panic O.N.S. help tips  <kp_onshelp.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Spring Direct Launch 2  <kp_spring_direct_launch.lua> ...
    [f=0000000] [widgets.lua] Loading widget from mod:   Heroes Right Click  <kp_heroes_right_click.lua> ...
    [f=0000000] LuaUI v0.3
    [f=0000000] [LoadFinalize] finalizing PFS
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=2692091406
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] [Path] [PathEstimator::ReadFile] hash=2692091430
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [LoadFinalize] finalized PFS (481ms, checksum ff32f721)
    [f=0000000] Loading Skirmish AIs
    [f=0000000] [CrashHandler] Error: Aborted (SIGABRT) in spring 98.0.1-428-gb47c43b develop (Debug)
    [f=0000000] [CrashHandler] Error: Halted Stacktrace for Spring 98.0.1-428-gb47c43b develop (Debug) using libunwind:
    [f=0000000] [CrashHandler] Error: [00]   /home/abma/dev/spring/develop/rts/System/Platform/Linux/CrashHandler.cpp:833  CrashHandler::HaltedStacktrace(std::string const&, siginfo_t*, ucontext*)
    [f=0000000] [CrashHandler] Error: [01]   /home/abma/dev/spring/develop/rts/System/Platform/Linux/CrashHandler.cpp:939  CrashHandler::HandleSignal(int, siginfo_t*, void*)
    [f=0000000] [CrashHandler] Error: [02]                /lib/x86_64-linux-gnu/libpthread.so.0(+0xfc90) [0x7f817f246c90]  __restore_rt
    [f=0000000] [CrashHandler] Error: [03]     /build/buildd/glibc-2.19/signal/../nptl/sysdeps/unix/sysv/linux/raise.c:56  __GI_raise
    [f=0000000] [CrashHandler] Error: [04]                                     /build/buildd/glibc-2.19/stdlib/abort.c:91  __GI_abort
    [f=0000000] [CrashHandler] Error: [05]               /build/buildd/glibc-2.19/libio/../sysdeps/posix/libc_fatal.c:175  __fsetlocking
    [f=0000000] [CrashHandler] Error:   <06>                                /build/buildd/glibc-2.19/malloc/malloc.c:4996  malloc_printerr
    [f=0000000] [CrashHandler] Error: [06]                                  /build/buildd/glibc-2.19/malloc/malloc.c:3840  _int_free
    [f=0000000] [CrashHandler] Error: [07]                                        .../rts/lib/lua/include/LuaUser.cpp:187  spring_lua_alloc(void*, void*, unsigned long, unsigned long)
    [f=0000000] [CrashHandler] Error: [08]                                                .../rts/lib/lua/src/lmem.cpp:81  luaM_realloc_(lua_State*, void*, unsigned long, unsigned long)
    [f=0000000] [CrashHandler] Error: [09]                           .../rts/lib/lua/src/ltable.cpp:378 (discriminator 1)  luaH_free(lua_State*, Table*)
    [f=0000000] [CrashHandler] Error: [10]                                                .../rts/lib/lua/src/lgc.cpp:383  freeobj
    [f=0000000] [CrashHandler] Error: [11]                                                .../rts/lib/lua/src/lgc.cpp:411  sweeplist
    [f=0000000] [CrashHandler] Error: [12]                                                .../rts/lib/lua/src/lgc.cpp:488  luaC_freeall(lua_State*)
    [f=0000000] [CrashHandler] Error: [13]                                             .../rts/lib/lua/src/lstate.cpp:111  close_state
    [f=0000000] [CrashHandler] Error: [14]                                             .../rts/lib/lua/src/lstate.cpp:222  lua_close(lua_State*)
    [f=0000000] [CrashHandler] Error: [15]             /home/abma/dev/spring/develop/rts/lib/lua/include/LuaInclude.h:233  LUA_CLOSE
    [f=0000000] [CrashHandler] Error: [16]                        /home/abma/dev/spring/develop/rts/Lua/LuaHandle.cpp:127  CLuaHandle::KillLua()
    [f=0000000] [CrashHandler] Error: [17]        /home/abma/dev/spring/develop/rts/Lua/LuaIntro.cpp:43 (discriminator 4)  CLuaIntro::FreeHandler()
    [f=0000000] [CrashHandler] Error: [18]                      /home/abma/dev/spring/develop/rts/Game/LoadScreen.cpp:160  CLoadScreen::~CLoadScreen()
    [f=0000000] [CrashHandler] Error: [19]                      /home/abma/dev/spring/develop/rts/Game/LoadScreen.cpp:183  CLoadScreen::~CLoadScreen()
    [f=0000000] [CrashHandler] Error: [20]                      /home/abma/dev/spring/develop/rts/Game/LoadScreen.cpp:206  CLoadScreen::DeleteInstance()
    [f=0000000] [CrashHandler] Error: [21]                      /home/abma/dev/spring/develop/rts/Game/LoadScreen.cpp:198  CLoadScreen::CreateInstance(std::string const&, std::string const&, ILoadSaveHandler*)
    [f=0000000] [CrashHandler] Error: [22]       /home/abma/dev/spring/develop/rts/Game/PreGame.cpp:338 (discriminator 3)  CPreGame::UpdateClientNet()
    [f=0000000] [CrashHandler] Error: [23]                         /home/abma/dev/spring/develop/rts/Game/PreGame.cpp:174  CPreGame::Update()
    [f=0000000] [CrashHandler] Error: [24]                     /home/abma/dev/spring/develop/rts/System/SpringApp.cpp:918  SpringApp::Update()
    [f=0000000] [CrashHandler] Error: [25]                     /home/abma/dev/spring/develop/rts/System/SpringApp.cpp:954  SpringApp::Run()
    [f=0000000] [CrashHandler] Error: [26]                                                     .../rts/System/Main.cpp:48  Run(int, char**)
    [f=0000000] [CrashHandler] Error: [27]                                                    .../rts/System/Main.cpp:108  main
    [f=0000000] [CrashHandler] Error: [28]                                  /build/buildd/glibc-2.19/csu/libc-start.c:321  __libc_start_main
    [f=0000000] [CrashHandler] Error: [29]                                                          ./spring() [0x5d64b9]  _start
    [f=0000000] Error: [ErrorMessageBox][1] msg="Spring has crashed:
    Aborted (SIGABRT).
    
    A stacktrace has been written to:
      /var/tmp/home/dev/spring/develop/infolog.txt" IsMainThread()=1 fromMain=0
    [f=0000000] Error: [ErrorMessageBox][2]
    [f=0000000] [SpringApp::ShutDown][1]
    [f=0000000] [ThreadPool::SetThreadCount][1] #wanted=0 #current=4 #max=4
    [f=0000000] [ThreadPool::SetThreadCount][2] #threads=0
    [f=0000000] [SpringApp::ShutDown][2]
    [f=0000000] [~CGame]1]
    [f=0000000] [KillLua][1]
    [f=0000000] [KillLua][2]
    [f=0000000] [KillLua][3]
    [f=0000000] [KillLua][4]
    [f=0000000] [KillMisc][1]
    [f=0000000] Error: [ExitMessage] failed to shutdown normally, exit forced
    [f=0000000] Fatal: Spring crashed
    Spring has crashed:
    Aborted (SIGABRT).
    
    A stacktrace has been written to:
      /var/tmp/home/dev/spring/develop/infolog.txt
    
    txt file icon infolog.txt (76,250 bytes) 2015-03-23 17:49 +

-Relationships
has duplicate 0004708resolvedabma crash at exit in SMFReadMap.cpp:76 
+Relationships

-Notes

~0014221

abma (administrator)

in spring 94.1 it hangs at exit (0004708) spring 95.0 doesn't work as spring.restart seems broken. spring 98 crashes at exit:

*** Error in `/var/tmp/home/.spring/engine/98.0/spring': double free or corruption (!prev): 0x00007f5fac547930 ***

current development version crashes at start... so no really useful information expect the crash / instructions how to reproduce.

~0014226

abma (administrator)

==16108== Invalid read of size 1
==16108== at 0x830F4E: LuaSyncedCtrl::SetMapSquareTerrainType(lua_State*) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCC337E: luaD_precall(lua_State*, lua_TValue*, int) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCD8E80: luaV_execute(lua_State*, int) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCC3650: luaD_call(lua_State*, lua_TValue*, int) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCBAC1D: f_call(lua_State*, void*) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCC26CB: luaD_rawrunprotected(lua_State*, void (*)(lua_State*, void*), void*) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCC3A9A: luaD_pcall(lua_State*, void (*)(lua_State*, void*), void*, long, long) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCBACE9: lua_pcall(lua_State*, int, int, int) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x8ABCC1: LuaVFS::Include(lua_State*, bool) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x8ABE3E: LuaVFS::SyncInclude(lua_State*) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCC337E: luaD_precall(lua_State*, lua_TValue*, int) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCD8E80: luaV_execute(lua_State*, int) (in /var/tmp/home/dev/spring/develop/spring)
==16108== Address 0x318b80c0 is 0 bytes after a block of size 589,824 alloc'd
==16108== at 0x4C2B100: operator new(unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==16108== by 0x620E85: __gnu_cxx::new_allocator<unsigned char>::allocate(unsigned long, void const*) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x620D2B: std::allocator_traits<std::allocator<unsigned char> >::allocate(std::allocator<unsigned char>&, unsigned long) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x620BBD: std::_Vector_base<unsigned char, std::allocator<unsigned char> >::_M_allocate(unsigned long) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x62082D: std::vector<unsigned char, std::allocator<unsigned char> >::_M_default_append(unsigned long) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x620298: std::vector<unsigned char, std::allocator<unsigned char> >::resize(unsigned long) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x8D6A7F: CReadMap::LoadMap(std::string const&) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x608ED7: CGame::LoadMap(std::string const&) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x608C0F: CGame::LoadGame(std::string const&, bool) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x65C4B8: CLoadScreen::Init() (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x65CAA3: CLoadScreen::CreateInstance(std::string const&, std::string const&, ILoadSaveHandler*) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x66EBC1: CPreGame::UpdateClientNet() (in /var/tmp/home/dev/spring/develop/spring)
==16108==
==16108== Invalid write of size 1
==16108== at 0x830FC9: LuaSyncedCtrl::SetMapSquareTerrainType(lua_State*) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCC337E: luaD_precall(lua_State*, lua_TValue*, int) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCD8E80: luaV_execute(lua_State*, int) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCC3650: luaD_call(lua_State*, lua_TValue*, int) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCBAC1D: f_call(lua_State*, void*) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCC26CB: luaD_rawrunprotected(lua_State*, void (*)(lua_State*, void*), void*) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCC3A9A: luaD_pcall(lua_State*, void (*)(lua_State*, void*), void*, long, long) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCBACE9: lua_pcall(lua_State*, int, int, int) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x8ABCC1: LuaVFS::Include(lua_State*, bool) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x8ABE3E: LuaVFS::SyncInclude(lua_State*) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCC337E: luaD_precall(lua_State*, lua_TValue*, int) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0xCD8E80: luaV_execute(lua_State*, int) (in /var/tmp/home/dev/spring/develop/spring)
==16108== Address 0x318b80c0 is 0 bytes after a block of size 589,824 alloc'd
==16108== at 0x4C2B100: operator new(unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==16108== by 0x620E85: __gnu_cxx::new_allocator<unsigned char>::allocate(unsigned long, void const*) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x620D2B: std::allocator_traits<std::allocator<unsigned char> >::allocate(std::allocator<unsigned char>&, unsigned long) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x620BBD: std::_Vector_base<unsigned char, std::allocator<unsigned char> >::_M_allocate(unsigned long) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x62082D: std::vector<unsigned char, std::allocator<unsigned char> >::_M_default_append(unsigned long) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x620298: std::vector<unsigned char, std::allocator<unsigned char> >::resize(unsigned long) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x8D6A7F: CReadMap::LoadMap(std::string const&) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x608ED7: CGame::LoadMap(std::string const&) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x608C0F: CGame::LoadGame(std::string const&, bool) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x65C4B8: CLoadScreen::Init() (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x65CAA3: CLoadScreen::CreateInstance(std::string const&, std::string const&, ILoadSaveHandler*) (in /var/tmp/home/dev/spring/develop/spring)
==16108== by 0x66EBC1: CPreGame::UpdateClientNet() (in /var/tmp/home/dev/spring/develop/spring)
==16108==

~0014227

abma (administrator)

Last edited: 2015-03-25 01:01

View 2 revisions

-> SetMapSquareTerrainType is called with invalid (out of range) parameters, not sure how to catch this error engine side.

~0014228

abma (administrator)

Fix 3f927dafdcc4a0bf827d2ed3a94d60695c7950a1 committed to develop branch: fix 0004714:
invalid range check for SetMapSquareTerrainType(), repo: spring changeset id: 4752
+Notes

-Issue History
Date Modified Username Field Change
2015-03-23 17:44 abma New Issue
2015-03-23 17:45 abma Relationship added has duplicate 0004708
2015-03-23 17:49 abma File Added: infolog.txt
2015-03-24 01:35 abma Note Added: 0014221
2015-03-25 00:52 abma Note Added: 0014226
2015-03-25 01:01 abma Note Added: 0014227
2015-03-25 01:01 abma Note Edited: 0014227 View Revisions
2015-03-25 01:29 abma Changeset attached => spring develop 3f927daf
2015-03-25 01:29 abma Note Added: 0014228
2015-03-25 01:29 abma Assigned To => abma
2015-03-25 01:29 abma Status new => resolved
2015-03-25 01:29 abma Resolution open => fixed
+Issue History